# BEGIN SourceDeps(oneline):
BuildRequires: perl(Cache/FileCache.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Find/Rule.pm) perl(File/Path.pm) perl(Geo/Weather.pm) perl(HTML/Entities.pm) perl(HTML/Strip.pm) perl(HTML/TokeParser.pm) perl(IO/All.pm) perl(IO/Scalar.pm) perl(LWP/Simple.pm) perl(Module/Signature.pm) perl(Parallel/ForkManager.pm) perl(Socket.pm) perl(Template.pm) perl(Test/More.pm) perl(XML/RSS.pm) perl(YAML.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name SoggyOnion
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: RSS and other arbitrary content aggregatron
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IA/IAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
NOTE: This is a pre-release. I need to add tests, among other things. Functionality is here, though.

SoggyOnion is an RSS and arbitrary content aggregator that produces static
pages. It was written to be easily installable and configurable as well as
trivial to extend. It is meant for people that want to view RSS feeds and other
scraped content as a web page and want minimal setup and configuration.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version
rm -f t/0-signature.t

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes TODO
%perl_vendor_privlib/S*

%files scripts
%_bindir/*

%changelog
* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

